Bug 858082 - Review Request: mingw-qt5-qttranslations - Qt5 for Windows - QtTranslations component
Review Request: mingw-qt5-qttranslations - Qt5 for Windows - QtTranslations c...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: greg.hellings
Fedora Extras Quality Assurance
:
Depends On: 858058 858080
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 18:51 EDT by Erik van Pienbroek
Modified: 2013-06-13 22:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: mingw-qt5-qtimageformats-5.0.2-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 02:38:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
greg.hellings: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2012-09-17 18:51:53 EDT
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qttranslations/mingw-qt5-qttranslations.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-qt5-qttranslations-5.0.0-0.1.beta1.fc17.src.rpm
Fedora Account System Username: epienbro
Description: 
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.
Comment 1 Erik van Pienbroek 2012-11-12 20:15:16 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qttranslations/mingw-qt5-qttranslations.spec
Updated SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-qt5-qttranslations-5.0.0-0.2.beta1.git20121112.ad9181a5.fc19.src.rpm

* Mon Nov 12 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121112.ad9181a5
- Update to 20121112 snapshot (rev ad9181a5)
Comment 2 Erik van Pienbroek 2013-02-09 11:36:28 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qttranslations/mingw-qt5-qttranslations.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/work/tasks/1813/1813/mingw-qt5-qttranslations-5.0.1-1.fc19.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=126

* Sat Feb  9 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

Note: this package currently fails to build, because it depends on the lrelease tool which is part of mingw-qt5-qttools. Once the mingw-qt5-qttools package (bug 858080) is approved (and the qmake.conf which is part of mingw-qt5-qtbase is updated) this package should build fine
Comment 3 greg.hellings 2013-04-12 11:12:08 EDT
Taking for review.
Comment 4 greg.hellings 2013-04-12 11:35:14 EDT
$ rpmlint mingw-qt5-qttranslations.spec 
mingw-qt5-qttranslations.spec:26: W: macro-in-comment %{qt_module}
mingw-qt5-qttranslations.spec:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qttranslations.spec:26: W: macro-in-comment %{qt_module}
mingw-qt5-qttranslations.spec:26: W: macro-in-comment %{snapshot_rev}
0 packages and 1 specfiles checked; 0 errors, 4 warnings.

$ rpmlint mingw-qt5-qttranslations-5.0.1-1.fc19.src.rpm 
mingw-qt5-qttranslations.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qttranslations.src:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qttranslations.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qttranslations.src:26: W: macro-in-comment %{snapshot_rev}
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

$ rpmlint results_mingw-qt5-qttranslations/5.0.1/1.fc18/mingw{32,64}*
mingw32-qt5-qttranslations.noarch: W: no-documentation
mingw32-qt5-qttranslations-debuginfo.noarch: E: empty-debuginfo-package
mingw64-qt5-qttranslations.noarch: W: no-documentation
mingw64-qt5-qttranslations-debuginfo.noarch: E: empty-debuginfo-package
4 packages and 0 specfiles checked; 2 errors, 2 warnings.

Since there is no binary portion to this package, it appears you should disable building of the debuginfo packages.

$ rpm -q --requires mingw32-qt5-qttranslations
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -q --requires mingw64-qt5-qttranslations
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -q --provides mingw32-qt5-qttranslations
mingw32-qt5-qttranslations = 5.0.1-1.fc18

$ rpm -q --provides mingw64-qt5-qttranslations
mingw64-qt5-qttranslations = 5.0.1-1.fc18

$ wget --quiet http://releases.qt-project.org/qt5/5.0.1/submodules_tar/qttranslations-opensource-src-5.0.1.tar.xz -O - | md5sum 
de27f8384296e366e454754b69197634  -
$ md5sum qttranslations-opensource-src-5.0.1.tar.xz 
de27f8384296e366e454754b69197634  qttranslations-opensource-src-5.0.1.tar.xz


+ OK
! Needs to be looked into
/ Not applicable

[+] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, %mingw_cmake_kde4
    or %mingw_qmake_qt5 to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[!] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[+] Requires of the binary mingw32 and mingw64 packages are equal

I believe the debug package can be suppressed as there is no binary code which includes debug symbols here.

Additionally, this package is, by its very nature, a translations package. Yet you're not using the find_lang macro. Does it not support .qm files? Does it need to be updated to include these files as well, or are qm files considered too app specific for that?

You note that the BR for mingw32-qt-qmake and mingw64-qt-qmake are "Temporary until lrelease-qt5 is built." I don't see a native package for those yet, but I see mingw{32,64}-qt5-qttools-lrelease. Is the native package built and ready yet? If not, you might note what issue # will see it completed in the spec file for sanity's sake.

The rest of the issues have been addressed elsewhere in mingw-qt5 reviews.
Comment 5 Erik van Pienbroek 2013-05-04 17:10:46 EDT
Updated Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-qt5-qttranslations/mingw-qt5-qttranslations.spec
Updated SRPM URL: http://kojipkgs.fedoraproject.org/work/tasks/1793/5331793/mingw-qt5-qttranslations-5.0.2-1.fc20.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5331793

* Sat May  4 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.2-1
- Update to 5.0.2
- Don't generate debuginfo packages
- Dropped the temporary BR: mingw32-qt-qmake mingw64-qt-qmake
  as the package mingw-qt5-qttools is in Fedora now
- Use the %mingw_find_lang macro
- Updated the Source URL
Comment 6 greg.hellings 2013-05-28 09:22:46 EDT
The spec file looks fine upon inspection but I can't get the SRPM from the koji link. I'm guessing koji doesn't keep those files around forever and I was too slow in getting back to this.
Comment 7 Erik van Pienbroek 2013-05-30 17:14:54 EDT
Here's another scratch build with the srpm:
SRPM URL: http://kojipkgs.fedoraproject.org//work/tasks/3287/5443287/mingw-qt5-qttranslations-5.0.2-1.fc20.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5443287
Comment 8 greg.hellings 2013-05-31 10:10:55 EDT
I'm getting "mingw-qt5-qttranslations.src: W: invalid-url URL: http://www.qtsoftware.com/ timed out". We just spoke on IRC about updating that to qt-project.org. Everything else appears to be addressed.
Comment 9 Erik van Pienbroek 2013-05-31 10:23:59 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: mingw-qt5-qttranslations
Short Description: Qt5 for Windows - QtTranslations component
Owners: epienbro
Branches: f17 f18 f19
InitialCC:
Comment 10 Gwyn Ciesla 2013-05-31 10:46:49 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-06-03 18:21:48 EDT
mingw-qt5-qtimageformats-5.0.2-2.fc19,mingw-qt5-qtgraphicaleffects-5.0.2-4.fc19,mingw-qt5-qttranslations-5.0.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-qt5-qtimageformats-5.0.2-2.fc19,mingw-qt5-qtgraphicaleffects-5.0.2-4.fc19,mingw-qt5-qttranslations-5.0.2-2.fc19
Comment 12 Fedora Update System 2013-06-03 18:23:46 EDT
mingw-qt5-qtimageformats-5.0.2-2.fc18,mingw-qt5-qtgraphicaleffects-5.0.2-4.fc18,mingw-qt5-qttranslations-5.0.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-qt5-qtimageformats-5.0.2-2.fc18,mingw-qt5-qtgraphicaleffects-5.0.2-4.fc18,mingw-qt5-qttranslations-5.0.2-2.fc18
Comment 13 Fedora Update System 2013-06-04 22:26:09 EDT
mingw-qt5-qtimageformats-5.0.2-2.fc19, mingw-qt5-qtgraphicaleffects-5.0.2-4.fc19, mingw-qt5-qttranslations-5.0.2-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2013-06-13 02:38:18 EDT
mingw-qt5-qtimageformats-5.0.2-2.fc19, mingw-qt5-qtgraphicaleffects-5.0.2-4.fc19, mingw-qt5-qttranslations-5.0.2-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-06-13 22:32:44 EDT
mingw-qt5-qtimageformats-5.0.2-2.fc18, mingw-qt5-qtgraphicaleffects-5.0.2-4.fc18, mingw-qt5-qttranslations-5.0.2-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.